from es import getAddonPath, createplayerlist, tell, usermsg
from langlib import Strings, getLangAbbreviation
from os.path import join

class stringsManager(object):
    def __init__(self, fileName):
        self.strings = Strings(join(getAddonPath('superdice'), 'data', fileName + '.ini'))

    def getPlayerLanguage(self, userid):
        return getLangAbbreviation(createplayerlist(userid)[int(userid)]['language'])

    def getString(self, userid, string, tokens):
        return self.strings(string, tokens, self.getPlayerLanguage(userid))

    def tellString(self, userid, string, tokens):
        tell(userid, '#multi', '#green[#darkgreenSuperDice#green]#lightgreen ' + self.getString(userid, string, tokens))

    def rightTextString(self, userid, string, tokens):
        rightText(userid, self.getString(userid, string, tokens))

def rightText(userid, text):
    usermsg('create', 'panel', 'KeyHintText')
    usermsg('write', 'byte', 'panel', 1)
    usermsg('write', 'string', 'panel', text)
    usermsg('send', 'panel', userid)
    usermsg('delete', 'panel')


