from es import setplayerprop, getplayerprop
from gamethread import delayed
from superdice.libs.diceConfigs import configFile
from superdice.superdice import registerRoll, unregisterRoll, players

def es_map_start(ev):
    cfgData.execute()

def unload():
    unregisterRoll(diceRoll)

def player_spawn(ev):
    players[ev['userid']]['bunnyhop'] = False

def player_jump(ev):
    userid = ev['userid']
    if not players[userid]['bunnyhop']:
        return

    delayed(0.3, bunnyHop, (userid))

def bunnyHop(userid):
    vec = map(str, [getplayerprop(userid, 'CBasePlayer.localdata.m_vecVelocity[0]'), getplayerprop(userid, 'CBasePlayer.localdata.m_vecVelocity[1]'), float(getplayerprop(userid, 'CBasePlayer.localdata.m_vecVelocity[2]')) * float(multi)])
    setplayerprop(userid, 'CBasePlayer.localdata.m_vecBaseVelocity', ','.join(vec))

def diceRoll(userid, player, eplayer):
    players[userid]['bunnyhop'] = True

cfgData = configFile('dice_bunnyhop')
multi = cfgData.cvar('superdice_cfg_bunnyhop_multiplier', 1.1, 'What is the multiplier for the bunnyhop?')
cfgData.write()
cfgData.execute()

registerRoll(diceRoll, 'BunnyHop', 'You get a boost while jumping.')
