from es import setindexprop, getindexprop, getplayerprop, getindexfromhandle, doblock
from weaponlib import getWeaponNameList
from superdice.superdice import registerRoll, unregisterRoll, players

def es_map_start(ev):
    cfgData.execute()

def unload():
    unregisterRoll(diceRoll)
    doblock('corelib/noisy_off')

def player_spawn(ev):
    players[ev['userid']]['wpngain'] = False

def weapon_fire(ev):
    userid = ev['userid']
    weapon = 'weapon_' + ev['weapon']
    if not players[userid]['wpngain'] or not weapon in primarys and not weapon in secondarys:
        return

    weaponIndex = getindexfromhandle(getplayerprop(userid, 'CBaseCombatCharacter.m_hActiveWeapon'))
    setindexprop(weaponIndex, 'CBaseCombatWeapon.LocalWeaponData.m_iClip1', getindexprop(weaponIndex, 'CBaseCombatWeapon.LocalWeaponData.m_iClip1') + 1)
    if prevAmmo < 1:
        return

def diceRoll(userid, player, eplayer):
    players[userid]['wpngain'] = True

registerRoll(diceRoll, 'Infinate Ammo', 'You can shoot forever.')

primarys = getWeaponNameList('#primary')

secondarys = getWeaponNameList('#secondary')

doblock('corelib/noisy_on')
